﻿/*CUSTOM CSS FOR MINISTERIAL MEDIA STATEMENTS*/

/*h1 {
    padding-bottom: 5px !important;
    margin-bottom: -20px;
}*/

/*STATEMENT STYLES*/
.statement-ministers {
    font-size: 110%;
    margin-bottom: 10px;
}

.statement-attachment {
    /*font-size:16px;*/
    display: inline-block;
    line-height: 1.1;
    margin: 0 0 5px 0;
    padding: 0 0 0 20px;
    background: transparent url(/content/images/icons/link.png) center left no-repeat;
}

    .statement-attachment[href*='youtube'] {
        background: transparent url(/content/images/icons/multimedia.png) center left no-repeat;
    }

    .statement-attachment[href$='.pdf'], statement-attachment[href$='.Pdf'], statement-attachment[href$='.PDF'] {
        background: transparent url(/content/images/icons/pdf.png) center left no-repeat;
    }

    .statement-attachment[href$='.png'], .statement-attachment[href$='.Png'], .statement-attachment[href$='.PNG'], .statement-attachment[href$='.jpg'], .statement-attachment[href$='.Jpg'], .statement-attachment[href$='.JPG'] {
        background: transparent url(/content/images/icons/image.png) center left no-repeat;
    }

    .statement-attachment[href$='.doc'], .statement-attachment[href$='.Doc'], .statement-attachment[href$='.DOC'], .statement-attachment[href$='.docx'], .statement-attachment[href$='.Docx'], .statement-attachment[href$='.DOCX'] {
        background: transparent url(/content/images/icons/word.png) center left no-repeat;
    }

    .statement-attachment[href$='.xls'], .statement-attachment[href$='.Xls'], .statement-attachment[href$='.XLS'], .statement-attachment[href$='.xlsx'], .statement-attachment[href$='.Xlsx'], .statement-attachment[href$='.XLSX'] {
        background: transparent url(/content/images/icons/excel.png) center left no-repeat;
    }

    .statement-attachment[href$='.ppt'], .statement-attachment[href$='.Ppt'], .statement-attachment[href$='.PPT'], .statement-attachment[href$='.pptx'], .statement-attachment[href$='.Pptx'], .statement-attachment[href$='.PPTX'] {
        background: transparent url(/content/images/icons/powerpoint.png) center left no-repeat;
    }

.statement-attachments div:last-child {
    margin: 0 0 15px 0;
}

/*BOOTSTRAP OVERRIDES*/
.lead {
    margin-bottom: 10px;
}

.control-label {
    text-align: left !important;
}

.form-group {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.btn-default-mms {
    border: #ccc 1px solid !important;
    color: #333;
    background-color: #fff;
}

    .btn-default-mms:hover {
        background-color: #e6e6e6;
    }

.btn {
    border: 1px solid transparent;
}

/*VALIDATION*/
.field-validation-error {
    color: #a94442;
    background-color: #f2dede;
    border: 1px solid transparent;
    border-color: #ebccd1;
    border-radius: 4px;
    padding: 5px;
    margin-top: 10px;
    display: block;
}

.validation-summary-errors {
    color: #a94442;
    background-color: #f2dede;
    border: 1px solid transparent;
    border-color: #ebccd1;
    border-radius: 4px;
    padding: 5px;
    margin-bottom: 20px;
    display: block;
}

    .validation-summary-errors span {
        font-weight: bold;
    }

    .validation-summary-errors ul {
        margin-bottom: 0;
        padding-left: 25px;
    }

.validation-summary-valid {
    display: none;
}

/*PAGINATION*/
.pagination {
    margin-top: 0;
    vertical-align: middle;
}

/*STATEMENT LISTING*/
.flex-row {
    display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box; /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox; /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Chrome */
    display: flex; /* NEW, Spec - Opera 12.1, Firefox 20+ */
    -webkit-flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-left: -10px;
    margin-right: -10px;
}

    .flex-row div {
        float: left;
        /*display: flex;*/
        /*width: 199%;*/
        /*box-sizing: border-box;*/
    }

    .flex-row:before, .flex-row:after {
        /*content: " ";*/
        /*display: table;*/
        width: 100%;
    }

    .flex-row > [class*='col-'] {
        display: flex;
        -ms-flex-direction: column;
        -webkit-flex-direction: column;
        flex-direction: column;
        padding-left: 10px;
        padding-right: 10px;
    }

    .flex-row .thumbnail,
    .flex-row .caption {
        -ms-flex-direction: column;
        -webkit-flex-direction: column;
        flex-direction: column;
        display: flex;
        -ms-flex: 1 1 auto;
        -webkit-flex: 1 1 auto;
        flex: 1 1 auto;
        height: auto;
        position: relative;
    }

    .flex-row .thumbnail {
        padding: 0;
    }

    .flex-row .caption {
        padding: 15px;
    }

    .flex-row .date {
    }

.flex-text {
    flex-grow: 1;
}

.flex-row img {
    min-width: 0;
    width: 100%;
    height: auto;
    -ms-flex: none;
    -webkit-flex: none;
    flex: none;
}

.nav-tabs {
    margin-bottom: 20px;
}

.alert-amber {
    color: #333;
    background-color: #f0ad4e;
    border: 1px solid transparent;
    border-color: #ebccd1;
    border-radius: 4px;
    padding: 5px;
    margin-top: 10px;
    display: block;
    margin-bottom: 30px;
}

.dropdown-toggle {
    background: white !important;
    border: 1px solid #dee2e6 !important;
}
